# Uses of Enum Class
org.apache.lucene.search.spell.SuggestMode

Packages that use SuggestMode
Package
Description
org.apache.lucene.search.spell
Suggest alternate spellings for words.

## Uses of SuggestMode in org.apache.lucene.search.spell

Methods in org.apache.lucene.search.spell that return SuggestMode
Modifier and Type
Method
Description
`static SuggestMode`
SuggestMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SuggestMode[]`
SuggestMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.lucene.search.spell with parameters of type SuggestMode
Modifier and Type
Method
Description
`SuggestWord[]`
DirectSpellChecker.`suggestSimilar(Term term, int numSug, IndexReader ir, SuggestMode suggestMode)`
Calls `suggestSimilar(term, numSug, ir, suggestMode, this.accuracy)`
`SuggestWord[]`
DirectSpellChecker.`suggestSimilar(Term term, int numSug, IndexReader ir, SuggestMode suggestMode, float accuracy)`
Suggest similar words.
`String[]`
SpellChecker.`suggestSimilar(String word, int numSug, IndexReader ir, String field, SuggestMode suggestMode)`
Calls `suggestSimilar(word, numSug, ir, suggestMode, field, this.accuracy)`
`String[]`
SpellChecker.`suggestSimilar(String word, int numSug, IndexReader ir, String field, SuggestMode suggestMode, float accuracy)`
Suggest similar words (optionally restricted to a field of an index).
`SuggestWord[][]`
WordBreakSpellChecker.`suggestWordBreaks(Term term, int maxSuggestions, IndexReader ir, SuggestMode suggestMode, WordBreakSpellChecker.BreakSuggestionSortMethod sortMethod)`
Generate suggestions by breaking the passed-in term into multiple words.
`CombineSuggestion[]`
WordBreakSpellChecker.`suggestWordCombinations(Term[] terms, int maxSuggestions, IndexReader ir, SuggestMode suggestMode)`
Generate suggestions by combining one or more of the passed-in terms into single words.